Subject: Re: RFC: git cat-file --follow-symlinks?

From: Junio C Hamano <[email-masked]>
Date: Thu, 30 Apr 2015 12:46:02 -0700

David Turner <[email-masked]> writes:

> The weirdest case is log.  If I say git log HEAD^{resolve} --
> foo/bar/baz,...

That invocation does not make any sense to me, at least within the
context of what has been discussed for ^{resolve}, which is an
instruction to the "name to object name" mapping layer to notice
symbolic links while it traverses the tree containment relationships
starting from the root of the tree to arrive at a single object
name.

    git rev-parse HEAD^{resolve}:path/that/might/involve/symlink/some/where
    git cat-file HEAD^{resolve}:path/that/might/involve/symlink/some/where
    git grep -e pattern HEAD^{resolve}:path/that/might/involve/symlink/some/where

would, though.  In other words, ^{resolve} that is not followed by a
colon and path is something entirely different from what we have
been discussing.